Package org.codehaus.plexus.util.xml

# Class SerializerXMLWriter

java.lang.Object
org.codehaus.plexus.util.xml.SerializerXMLWriter

All Implemented Interfaces:
  `XMLWriter`

public class SerializerXMLWriter extends Object implements XMLWriter
Write to an MXSerializer.

Author:
  Brett Porter

## Constructor Summary

Constructors
Constructor
Description
`SerializerXMLWriter(String namespace, XmlSerializer serializer)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addAttribute(String key, String value)`
`void`
`endElement()`
`List<Exception>`
`getExceptions()`
`void`
`startElement(String name)`
`void`
`writeMarkup(String text)`
`void`
`writeText(String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SerializerXMLWriter

public SerializerXMLWriter(String namespace, XmlSerializer serializer)

## Method Details

### startElement

public void startElement(String name)

Specified by:
  `startElement` in interface `XMLWriter`

### addAttribute

public void addAttribute(String key, String value)

Specified by:
  `addAttribute` in interface `XMLWriter`

### writeText

public void writeText(String text)

Specified by:
  `writeText` in interface `XMLWriter`

### writeMarkup

public void writeMarkup(String text)

Specified by:
  `writeMarkup` in interface `XMLWriter`

### endElement

public void endElement()

Specified by:
  `endElement` in interface `XMLWriter`

### getExceptions

public List<Exception> getExceptions()